From e56ae9d72dc0a4a746f4fc3912ae7bbcf9c1192e Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Wed, 15 Apr 2009 13:39:05 +0400
Subject: [PATCH] winex11.drv: Revert to using RedrawWindow instead XClearArea in the systray icon modify (eterbug #2809 #3358)

---
 dlls/winex11.drv/systray.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

diff --git a/dlls/winex11.drv/systray.c b/dlls/winex11.drv/systray.c
index ddeb223..922ca8b 100644
--- a/dlls/winex11.drv/systray.c
+++ b/dlls/winex11.drv/systray.c
@@ -342,10 +342,7 @@ static BOOL modify_icon( struct tray_icon *icon, NOTIFYICONDATAW *nid )
         if (icon->image) DestroyIcon(icon->image);
         icon->image = CopyIcon(nid->hIcon);
         if (icon->window)
-        {
-            struct x11drv_win_data *data = X11DRV_get_win_data( icon->window );
-            if (data) XClearArea( gdi_display, data->client_window, 0, 0, 0, 0, True );
-        }
+            RedrawWindow(icon->window, NULL, NULL, RDW_ERASE | RDW_INVALIDATE | RDW_UPDATENOW);
     }
 
     if (nid->uFlags & NIF_MESSAGE)
-- 
1.6.1.3.GIT

